- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# lxca_cmms – Custom module for lxca cmms inventory utility

New in version 2.8.

- Synopsis
- Requirements
- Parameters
- Notes
- Examples
- Return Values
- Status

## Synopsis

- This module returns/displays a inventory details of cmms

## Requirements

The below requirements are needed on the host that executes this module.

- pylxca

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
auth_url string / required |  | lxca https full web address
chassis - |  | uuid of chassis, this is string with length greater than 16.
command_options - | Choices: cmms ← cmms_by_uuid cmms_by_chassis_uuid | options to filter nodes information
login_password string / required |  | The password for use in HTTP basic authentication.
login_user string / required |  | The username for use in HTTP basic authentication.
uuid - |  | uuid of device, this is string with length greater than 16.

## Notes

Note

- Additional detail about pylxca can be found at https://github.com/lenovo/pylxca
- Playbooks using these modules can be found at https://github.com/lenovo/ansible.lenovo-lxca
- Check mode is not supported.

## Examples

    # get all cmms info
    - name: get nodes data from LXCA
      lxca_cmms:
        login_user: USERID
        login_password: Password
        auth_url: "https://10.243.15.168"

    # get specific cmms info by uuid
    - name: get nodes data from LXCA
      lxca_cmms:
        login_user: USERID
        login_password: Password
        auth_url: "https://10.243.15.168"
        uuid: "3C737AA5E31640CE949B10C129A8B01F"
        command_options: cmms_by_uuid

    # get specific cmms info by chassis uuid
    - name: get nodes data from LXCA
      lxca_cmms:
        login_user: USERID
        login_password: Password
        auth_url: "https://10.243.15.168"
        chassis: "3C737AA5E31640CE949B10C129A8B01F"
        command_options: cmms_by_chassis_uuid

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
result dictionary | success | cmms detail from lxca Sample: {'cmmList': [{'machineType': '', 'model': '', 'type': 'CMM', 'uuid': '118D2C88C8FD11E4947B6EAE8B4BDCDF'}, {'machineType': '', 'model': '', 'type': 'CMM', 'uuid': '223D2C88C8FD11E4947B6EAE8B4BDCDF'}]}

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Naval Patel (@navalkp)
- Prashant Bhosale (@prabhosa)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.